gr::gfdm::frame_energy_detector_cc_impl Class Reference

`#include <frame_energy_detector_cc_impl.h>`

Inheritance diagram for gr::gfdm::frame_energy_detector_cc_impl:
[legend]

## Public Member Functions

| frame_energy_detector_cc_impl (float alpha, int average_len, int frame_len, int backoff_len, const std::string &tag_key)
| ~frame_energy_detector_cc_impl ()
float | alpha ()
void | set_alpha (float alpha)
int | backoff_len ()
void | set_backoff_len (int backoff_len)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::frame_energy_detector_cc
typedef boost::shared_ptr< frame_energy_detector_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::frame_energy_detector_cc
static sptr | make (float alpha, int average_len, int frame_len, int backoff_len, const std::string &tag_key)
| Return a shared_ptr to a new instance of gfdm::frame_energy_detector_cc.

## Constructor & Destructor Documentation

## frame_energy_detector_cc_impl()

gr::gfdm::frame_energy_detector_cc_impl::frame_energy_detector_cc_impl | ( | float | alpha,
|  | int | average_len,
|  | int | frame_len,
|  | int | backoff_len,
|  | const std::string & | tag_key
| ) |  |

## ~frame_energy_detector_cc_impl()

gr::gfdm::frame_energy_detector_cc_impl::~frame_energy_detector_cc_impl | ( |  | ) |

## Member Function Documentation

## alpha()

float gr::gfdm::frame_energy_detector_cc_impl::alpha | ( |  | ) |

inlinevirtual

Implements gr::gfdm::frame_energy_detector_cc.

Referenced by set_alpha().

## backoff_len()

int gr::gfdm::frame_energy_detector_cc_impl::backoff_len | ( |  | ) |

inlinevirtual

Implements gr::gfdm::frame_energy_detector_cc.

Referenced by set_backoff_len().

## forecast()

void gr::gfdm::frame_energy_detector_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::gfdm::frame_energy_detector_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## set_alpha()

void gr::gfdm::frame_energy_detector_cc_impl::set_alpha | ( | float | alpha | ) |

inlinevirtual

Implements gr::gfdm::frame_energy_detector_cc.

References alpha().

## set_backoff_len()

void gr::gfdm::frame_energy_detector_cc_impl::set_backoff_len | ( | int | backoff_len | ) |

inlinevirtual

Implements gr::gfdm::frame_energy_detector_cc.

References backoff_len().

The documentation for this class was generated from the following file:

- frame_energy_detector_cc_impl.h